// SPDX-License-Identifier: Apache-2.0
import { inject, delay } from "tsyringe";
/**
 * This decorator substitutes the lazy loading construct from tsyringe
 *
 * @param cls Class to lazy load
 */
export function lazyInject(token) {
    return (target, propertyKey, parameterIndex) => {
        inject(delay(() => token))(target, propertyKey, parameterIndex);
    };
}
